pkgname <- "dasev"
source(file.path(R.home("share"), "R", "examples-header.R"))
options(warn = 1)
options(pager = "console")
base::assign(".ExTimings", "dasev-Ex.timings", pos = 'CheckExEnv')
base::cat("name\tuser\tsystem\telapsed\n", file=base::get(".ExTimings", pos = 'CheckExEnv'))
base::assign(".format_ptime",
function(x) {
  if(!is.na(x[4L])) x[1L] <- x[1L] + x[4L]
  if(!is.na(x[5L])) x[2L] <- x[2L] + x[5L]
  options(OutDec = '.')
  format(x[1L:3L], digits = 7L)
},
pos = 'CheckExEnv')

### * </HEADER>
library('dasev')

base::assign(".oldSearch", base::search(), pos = 'CheckExEnv')
base::assign(".old_wd", base::getwd(), pos = 'CheckExEnv')
cleanEx()
nameEx("DASEV")
### * DASEV

flush(stderr()); flush(stdout())

base::assign(".ptime", proc.time(), pos = "CheckExEnv")
### Name: DASEV
### Title: Differential abundance analysis for zero-inflated data.
### Aliases: DASEV

### ** Examples

#Get simulation samples#
data(simpool)
sim <- Getsample(numc=1000,numobs=100,pdiff=0.2,lfc=c(log(2),-log(2)),pzerodiff=NULL, simpool)

data<- sim$simdata
paradata <- sim$Parameters
indall <- c()
for(i in 1:nrow(data)){
  ind <- (!all(data[i,][1:100]!=0)
          &!all(data[i,][1:100]==0)
          &!all(data[i,][101:200]!=0)
          &!all(data[i,][101:200]==0))
  indall<- c(indall, ind)
}
data_used <- data[indall,]

example_result <- DASEV(indata=data_used,cov.matrix=cbind(rep(1,200),c(rep(0,100),rep(1,100))),
test_cov= 2,test_cov_conti=NULL, min.non0n=3, requiredn=10, requiredn2=30,
DL_method= "Fixed Difference",DL_value=0.1,maxit_MLE=100,maxit=1000,
test_model=c("Both","Mean","Pzero"))



base::assign(".dptime", (proc.time() - get(".ptime", pos = "CheckExEnv")), pos = "CheckExEnv")
base::cat("DASEV", base::get(".format_ptime", pos = 'CheckExEnv')(get(".dptime", pos = "CheckExEnv")), "\n", file=base::get(".ExTimings", pos = 'CheckExEnv'), append=TRUE, sep="\t")
cleanEx()
nameEx("Getsample")
### * Getsample

flush(stderr()); flush(stdout())

base::assign(".ptime", proc.time(), pos = "CheckExEnv")
### Name: Getsample
### Title: Get simulated zero-infated dataset.
### Aliases: Getsample

### ** Examples

#Get simulation samples#
data(simpool)
simdata1 <- Getsample(numc=1000,numobs=100,pdiff=0.2,lfc=c(log(2),-log(2)),pzerodiff=NULL, simpool)
simdata2 <- Getsample(numc=1000,numobs=100,pdiff=0.2,lfc=NULL,pzerodiff=c(0.5,2), simpool)



base::assign(".dptime", (proc.time() - get(".ptime", pos = "CheckExEnv")), pos = "CheckExEnv")
base::cat("Getsample", base::get(".format_ptime", pos = 'CheckExEnv')(get(".dptime", pos = "CheckExEnv")), "\n", file=base::get(".ExTimings", pos = 'CheckExEnv'), append=TRUE, sep="\t")
cleanEx()
nameEx("simpool")
### * simpool

flush(stderr()); flush(stdout())

base::assign(".ptime", proc.time(), pos = "CheckExEnv")
### Name: simpool
### Title: Parameters data matrix for simulation example
### Aliases: simpool
### Keywords: datasets

### ** Examples

data(simpool)



base::assign(".dptime", (proc.time() - get(".ptime", pos = "CheckExEnv")), pos = "CheckExEnv")
base::cat("simpool", base::get(".format_ptime", pos = 'CheckExEnv')(get(".dptime", pos = "CheckExEnv")), "\n", file=base::get(".ExTimings", pos = 'CheckExEnv'), append=TRUE, sep="\t")
### * <FOOTER>
###
cleanEx()
options(digits = 7L)
base::cat("Time elapsed: ", proc.time() - base::get("ptime", pos = 'CheckExEnv'),"\n")
grDevices::dev.off()
###
### Local variables: ***
### mode: outline-minor ***
### outline-regexp: "\\(> \\)?### [*]+" ***
### End: ***
quit('no')
